<?php
/**
 * Option for the page peel  position
 *
 * @var array $position page peel  position.
 * @var string $placement_slug slug of the current placement.
 */
?>
<?php
	$option_name = "advads[placements][$placement_slug][options][page_peel][position]";
if ( ! isset( $page_peel_class ) ) {
	$page_peel_class = Advanced_Ads_Page_Peel::get_page_peel_class();
}
?>
<div>
	<div class="<?php echo esc_attr( $page_peel_class ); ?>-aa-position">
		<table>
			<tr>
				<td><input type="radio" name="<?php echo esc_attr( $option_name ); ?>" value="topleft" <?php checked( $position, 'topleft' ); ?>/></td>
				<td><input type="radio" name="<?php echo esc_attr( $option_name ); ?>" value="topcenter" <?php checked( $position, 'topcenter' ); ?> disabled /></td>
				<td><input type="radio" name="<?php echo esc_attr( $option_name ); ?>" value="topright" <?php checked( $position, 'topright' ); ?>/></td>
			</tr>
			<tr>
				<td><input type="radio" name="<?php echo esc_attr( $option_name ); ?>" value="centerleft" <?php checked( $position, 'centerleft' ); ?> disabled /></td>
				<td><input type="radio" name="<?php echo esc_attr( $option_name ); ?>" value="center" <?php checked( $position, 'center' ); ?> disabled /></td>
				<td><input type="radio" name="<?php echo esc_attr( $option_name ); ?>" value="centerright" <?php checked( $position, 'centerright' ); ?> disabled /></td>
			</tr>
			<tr>
				<td><input type="radio" name="<?php echo esc_attr( $option_name ); ?>" value="bottomleft" <?php checked( $position, 'bottomleft' ); ?>/></td>
				<td><input type="radio" name="<?php echo esc_attr( $option_name ); ?>" value="bottomcenter" <?php checked( $position, 'bottomcenter' ); ?> disabled /></td>
				<td><input type="radio" name="<?php echo esc_attr( $option_name ); ?>" value="bottomright" <?php checked( $position, 'bottomright' ); ?>/></td>
			</tr>
		</table>
		<p class="description"><?php esc_html_e( 'The position on the screen where the page is showing up.', 'advanced-ads-page-peel' ); ?></p>
		<div class='clear'></div>
	</div>
</div>
