<?php
/**
 * Advanced Ads – Page Peel Placement
 *
 * Plugin Name:       Advanced Ads – Page Peel Placement
 * Plugin URI:        https://wpadvancedads.com/
 * Description:       Page Peel placement
 * Version:           0.1.3
 * Author:            Advanced Ads GmbH
 * Author URI:        https://wpadvancedads.com/
 * Text Domain:       advanced-ads-page-peel
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! class_exists( 'Advanced_Ads_Page_Peel' ) ) {

	// load basic path and url to the plugin
	define( 'AACP_BASE_PATH', plugin_dir_path( __FILE__ ) );
	define( 'AACP_BASE_URL', plugin_dir_url( __FILE__ ) );
	define( 'AACP_BASE_DIR', dirname( plugin_basename( __FILE__ ) ) ); // directory of the plugin without any paths

	define( 'AACP_VERSION', '0.1.3' );
	define( 'AACP_PLUGIN_URL', 'https://wpadvancedads.com' );
	define( 'AACP_PLUGIN_NAME', 'Page Peel Ads' );

	include_once plugin_dir_path( __FILE__ ) . 'classes/plugin.php';

	// Public-Facing Functionality
	require_once plugin_dir_path( __FILE__ ) . 'public/public.php';

	$is_admin = is_admin();
	$is_ajax  = defined( 'DOING_AJAX' ) && DOING_AJAX;

	$page_peel_ads = new Advanced_Ads_Page_Peel( $is_admin, $is_ajax );

	// Dashboard and Administrative Functionality
	if ( is_admin() && ( ! defined( 'DOING_AJAX' ) || ! DOING_AJAX ) ) {
		require_once plugin_dir_path( __FILE__ ) . 'admin/admin.php';
		$page_peel_ads_admin = new Advanced_Ads_Page_Peel_Admin();
	}
}
