/**
 * Process ads with cache busting 'On'
 */
var Advanced_Ads_Page_Peel_Cache_Busting;
if ( ! Advanced_Ads_Page_Peel_Cache_Busting ) {
	Advanced_Ads_Page_Peel_Cache_Busting = {
        doc_loaded: false,
        bufferedAds: [],

        flush: function() {
            var _bufferedAds = this.bufferedAds;
            this.bufferedAds = [];

            for ( var i = 0; i < _bufferedAds.length; i++ ) {
                this._process_item( jQuery( _bufferedAds[i] ) );
            }
        },

        _process_item: function( banner ) {

            jQuery('<div class="peel-shadow"></div>').insertAfter(banner);

            var banner_id = banner.attr('id'),
                name = 'timeout_placement_' + jQuery(banner).data('id'),
                value = '1',
                days = jQuery(banner).data('close_for');

            advads_page_peel_items.conditions[banner_id] = advads_page_peel_items.conditions[banner_id] || {};

            if (banner.hasClass(Advanced_Ads_Page_Peel_settings.page_peel_class + '-onload')) {
                advads_page_peel_check_item_conditions(banner_id);
            }

            var img = banner.find('a img').length ? banner.find('a img') : banner.find('img'),
                imgSrc = img.attr('src');
            if (imgSrc) {
                banner.css({backgroundImage: 'url("'+imgSrc+'")'});
            }

            if (jQuery(banner).hasClass('advads-page-peel-show-in-rectangle')) {
                jQuery(banner).addClass('page-peel-hide-triangle');
            }

        },

        observe: function (event) {
            if ( event.event === 'postscribe_done' && event.ref && event.ad ) {
                var banner = jQuery( event.ref ).children( 'div' );
                if ( ! banner.hasClass( Advanced_Ads_Page_Peel_settings.page_peel_class + '' ) ) {
                    return;
                }

                if ( Advanced_Ads_Page_Peel_Cache_Busting.doc_loaded ) {
                    Advanced_Ads_Page_Peel_Cache_Busting.bufferedAds.push( banner );
                    Advanced_Ads_Page_Peel_Cache_Busting.flush();
                }
            }
        }
	}
}

// Advanced Ads Pro is enabled
if ( typeof advanced_ads_pro === 'object' && advanced_ads_pro !== null ) {
	// observe cache busting done event
    advanced_ads_pro.postscribeObservers.add( Advanced_Ads_Page_Peel_Cache_Busting.observe );
}

/**
 * Process ads with cache busting 'Off'
 */
jQuery(document).ready(function ($) {
    Advanced_Ads_Page_Peel_Cache_Busting.doc_loaded = true;

    jQuery( '.' + Advanced_Ads_Page_Peel_settings.page_peel_class ).each(function () {
        Advanced_Ads_Page_Peel_Cache_Busting.bufferedAds.push( jQuery( this ) );
    });

    Advanced_Ads_Page_Peel_Cache_Busting.flush();
});

/**
 * check item conditions and display the ad if all conditions are true
 *
 * @param {string} id of the ad, without #
 * @returns {bool} true, if item can be displayed
 */
function advads_page_peel_check_item_conditions(id) {

    var item = jQuery('#' + id);
    if (item.length == 0) {
        return;
    }

    advads_page_peel_items.showed.push(id);
    var ad = jQuery('#' + id);
    ad.show();
}